Package org.apache.commons.jxpath.ri.compiler

# Class LocationPath

java.lang.Object
org.apache.commons.jxpath.ri.compiler.Expression
org.apache.commons.jxpath.ri.compiler.Path
org.apache.commons.jxpath.ri.compiler.LocationPath

public class LocationPath extends Path
A location path expression.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `Expression.PointerIterator, Expression.ValueIterator`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `NOT_A_NUMBER, ONE, ZERO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationPath(boolean absolute, Step[] steps)`
  Constructs a new LocationPath.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `compute(EvalContext context)`
  Evaluates the expression.
  `boolean`
  `computeContextDependent()`
  Implemented by subclasses and result is cached by isContextDependent()
  `Object`
  `computeValue(EvalContext context)`
  Evaluates the expression.
  `boolean`
  `isAbsolute()`
  Tests whether this LocationPath is absolute.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.commons.jxpath.ri.compiler.Path

  `areBasicPredicates, buildContextChain, createContextForStep, evalSteps, getSingleNodePointerForSteps, getSteps, isSimplePath, isSimpleStep, searchForPath`

  ### Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `isContextDependent, iterate, iteratePointers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LocationPath

    public LocationPath(boolean absolute, Step[] steps)
    Constructs a new LocationPath.
    Parameters:
      `absolute` - whether this is an absolute path
      `steps` - to evaluate

- ## Method Details

  - ### compute

    public Object compute(EvalContext context)
    Description copied from class: `Expression`
    Evaluates the expression. If the result is a node set, returns the first element of the node set.
    Specified by:
      `compute` in class `Expression`
    Parameters:
      `context` - evaluation context
    Returns:
      Object

  - ### computeContextDependent

    public boolean computeContextDependent()
    Description copied from class: `Expression`
    Implemented by subclasses and result is cached by isContextDependent()
    Overrides:
      `computeContextDependent` in class `Path`
    Returns:
      calculated context-dependentness as boolean

  - ### computeValue

    public Object computeValue(EvalContext context)
    Description copied from class: `Expression`
    Evaluates the expression. If the result is a node set, returns the first element of the node set.
    Specified by:
      `computeValue` in class `Expression`
    Parameters:
      `context` - evaluation context
    Returns:
      Object

  - ### isAbsolute

    public boolean isAbsolute()
    Tests whether this LocationPath is absolute.
    Returns:
      boolean

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`